<?php
// minden nap 06:00-kor		- azok az aktív cserélt kulcsok, ahol a cserét már elindították
if (!class_exists('crm_hardlock')) require_once("common_cadline_libraries/crm_hardlock.class.php");
require_once('libraries/phpmailer/PHPMailerAutoload.php');

//cserélt aktív kulcsok
crm_database::getInstance()->query("SELECT hlNum, hlNewHlNum FROM " . CRMADATBAZIS . ".hardlock WHERE hlStat=1 AND hlNewHlNum!='' AND hlNewHlNum IS NOT NULL");
$aktivak = crm_database::getInstance()->fetchAssoc();
$ujak = array();

foreach ($aktivak as $kulcs) {
    $k = (object)$kulcs;
    print "<br>Cserelt: " . $k->hlNum . " ";
    crm_database::getInstance()->query("SELECT kulcs, datum FROM " . CRMADATBAZIS . ".h_aktivalas_infok WHERE kulcs='{$k->hlNewHlNum}' AND leiras LIKE 'programinditas - %' ORDER BY datum LIMIT 0,1");
    $inditott = crm_database::getInstance()->fetchNext();
    $i = (object)$inditott;
    if (isset($i->datum) && $i->datum != "")
        $ujak[$k->hlNum] = $k->hlNewHlNum;
}

$message = "Ez egy automatikusan generált CRM rendszer üzenet. Azokról a kulcsokról, melyek lecserélésre  kerültek, de a Régi kulcs” még nem volt letiltva. Az üzenet azt jelenti, hogy az „Új Kulcs”-al valaki elinditotta a 2013-as programot. Mindig a teljes listát tartalmazza. Eltünik a régi kulcs, ha a státusa „letiltott” lesz.<br /><br />A következő cserélt és aktív kulcsok 2013-as programjait indították már el. (A régi kulcs letiltható, amit a viszonteladóval egyeztetni kell!): ";
foreach ($ujak as $k => $uj)
    $message .= "<br>Régi kulcs: " . $k . ", új kulcs: " . $uj;

$mail = new PHPMailer;
$mail->isSMTP();
$mail->SMTPAuth = true;
$mail->CharSet = 'UTF-8';
$mail->Host = $mailconfig['Host'];
$mail->Username = $mailconfig['Username'];
$mail->Password = $mailconfig['Password'];
$mail->SMTPSecure = $mailconfig['SMTPSecure'];
$mail->Port = $mailconfig['Port'];
$mail->isHTML(TRUE);
$mail->setFrom(DEFAULT_EMAIL);
// $mail->addAddress('webdeveloper@cadline.hu');
// $mail->addAddress('aniko.huszar@cadline.hu');
$mail->addAddress('office@cadline.hu');
$mail->Subject = 'Cserélt kulcsok';
$mail->msgHTML($message);
$mail->AltBody = strip_tags($message);
$mail->send();
unset($mail);

/*
// 2017.06.07. F.Zs.: levélküldő objektum lecserélve, mert nem működött

	$conf = new JConfig();
	$email = new CI_Email();
	$email->initialize();
	$email->setFrom($conf->mailfrom, 'CadLine');
	$email->subject('Cserélt kulcsok');
	$email->message($message);
	$email->send('aniko.huszar@cadline.hu', 'smtp');
*/
